Subject: Re: seizures

From: [email-masked] (Z'ev Rosenberg)
Date: Tue, 14 Mar 1995 14:15:57 -0800

>At 11:38 AM 3/10/95 -0800, Z'ev Rosenberg wrote:
>>>I have a case study where I would appreciate some input.  The subject is a
>>>25-year old female.  She went off birth control pills 2 years ago, and she
>>>began having a variety of symptoms.  The most serious symptom is mild
>
>
>it's not Oriental medicine,
>but try one dose of homeopathic Folliculinum 30c
>I have seen it do wonders for what is essentially estrogen poisonong.
>
>As for acupuncture,
>palpate and treat Chong Mo,
>incl. ca. St. 27, Kd12

I also use folliculinum, but 200C generally, in such cases.  I agree with
Mitch, it is a great choice for 'estrogen poisoning'

Z'ev Rosenberg, L. Ac.